Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 608516 - Video artifacts after a huge workload
Video artifacts after a huge workload
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 20:19 EDT by Edney Matias
Modified: 2018-04-11 03:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:00:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Artifacs on screen (194.24 KB, image/jpeg)
2010-06-27 20:19 EDT, Edney Matias
no flags Details
dmesg output (86.26 KB, text/plain)
2010-06-28 22:17 EDT, Edney Matias
no flags Details
Xorg.0.log (67.81 KB, text/plain)
2010-06-28 22:18 EDT, Edney Matias
no flags Details
messages (905.07 KB, text/plain)
2010-06-28 22:19 EDT, Edney Matias
no flags Details

  None (edit)
Description Edney Matias 2010-06-27 20:19:55 EDT
Created attachment 427280 [details]
Artifacs on screen

Description of problem: After applying a Gaussian filter on a 10MB image on Krita i got a lot of artifacts on my screen. Indeed whenever i got intense processor workload the screen is filled with strange lines.

Version-Release number of selected component (if applicable):

Running KDE SC 4.4.90 from kde-redhat repository.

[edney@padme ~]$ rpm -qa | grep intel
xorg-x11-drv-intel-2.11.0-4.fc13.i686

[edney@padme ~]$ rpm -qa | grep mesa
mesa-libGLU-devel-7.8.1-6.fc13.i686
mesa-libGL-7.8.1-6.fc13.i686
mesa-libGL-devel-7.8.1-6.fc13.i686
mesa-dri-drivers-7.8.1-6.fc13.i686
mesa-libGLU-7.8.1-6.fc13.i686

[edney@padme ~]$ lspci | grep -i vga
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

How reproducible: whenever my processor goes crazy with a huge processing but can be sure about that.
  
Actual results: a lot of artifacts on screen.

Expected results: no artifacts on screen.

Additional info: I'm attaching an image of my screen. Anything else just ask.

Thank you
Comment 1 Matěj Cepl 2010-06-28 07:08:13 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

Also you can try (once it builds succesfully) the latest xorg-x11-drv-intel (http://koji.fedoraproject.org/koji/packageinfo?packageID=7794). There were a lot of fixes in the artifacts area in the last couple of releases in Rawhide.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Edney Matias 2010-06-28 22:16:59 EDT
Hi there.

I'm attaching the requested files. The drm.debug=0x04 thing make the reboot process hang. I had to push power button to actually turn off my machine. I don't have a xorg.conf file. I already tried the xorg-x11-drv-intel driver from updates-testing but it seems to bring back an issue i had in previous versions of the driver related to suspend/resume. When coming back from resume i can't unlock my screen, keyboard doesn't work and mouse doesn't move.

Thank you.
Comment 3 Edney Matias 2010-06-28 22:17:46 EDT
Created attachment 427548 [details]
dmesg output
Comment 4 Edney Matias 2010-06-28 22:18:30 EDT
Created attachment 427549 [details]
Xorg.0.log
Comment 5 Edney Matias 2010-06-28 22:19:27 EDT
Created attachment 427550 [details]
messages
Comment 6 Edney Matias 2010-07-06 07:37:19 EDT
Hi there.

I updated to xorg-x11-drv-intel-2.11.0-5.fc13.i686 and the frequency and extensions the artifacts occurs are drastically reduced now...sometimes i see affected small areas of my video but it's much better. Waiting to test xorg-x11-drv-intel-2.12.0-1.fc13.i686 from koji but seems it won't build soon.

Anyway, thank you.
Comment 7 Bug Zapper 2011-06-01 11:24:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Edney Matias 2011-06-02 06:15:12 EDT
Hi there.

I'm not using Fedora 13 anymore, i'm running Fedora 15 and the problem stills there as reported here https://bugzilla.redhat.com/show_bug.cgi?id=688710. 

Acctually it's much more improved, the artifacts show up only after long periodos of use and are limited to some regions. Sometimes the wallpaper is affectd also.

I found out that if i reload wallpaper or parts of the screen affected or even entire applications the problems disappear. 

Thank you.
Comment 9 Elad Alfassa 2011-06-27 14:00:41 EDT
Closing as a duplicate of the new bug that you've reported.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

*** This bug has been marked as a duplicate of bug 688710 ***
Comment 10 Bug Zapper 2011-06-27 15:02:39 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.